Retrieve product URL resource

Redirects to a product detail page URL or returns JSON based on its pod ID and position in a recommendation result set (pod_id and position as path parameters). Parameter values should correspond to a previously generated set of recommendations.

Path Params
string
required

The unique identifier of the recommendation pod containing the product set.

integer
required
≄ 1

The position of the desired product within the recommendation results.

Query Params
string
required
length between 1 and 100

The key of the index to use.

string
required

Email campaign identifier for tracking and analytics.

array | string

Seed item ID used for item-based recommendations (e.g., complementary).

object

Facet filters to apply to the recommendation request. Allows for complex filtering with multiple values per attribute. Example: &filters[brand]=AwesomeBrand&filters[category]=Shoes&filters[category]=Boots

string

Name of the product attribute to filter by (e.g., brand, category, color). Must be provided together with filter_value.

string

Value to filter the specified attribute by. Must be provided together with filter_name.

integer
1 to 100
Defaults to 10

Number of results requested. For Offsite Discovery recommendations, this is the number to return. For snippet requests, this defines the expected number of results that were available. Default is 10.

string

Unique identifier for the user to personalize recommendation results.

string

ex.: https://example.com, used for redirecting to PDP

string
enum
Defaults to redirect

Format of the response, either 'redirect' (default for 302 redirect) or 'json' (for 200 OK with JSON body for debugging).

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
*/*